Difference between revisions of "Fedora Core - Troubleshooting"

From Scribus Wiki
Jump to navigation Jump to search
Line 1: Line 1:
 
{{TIP Index}}
 
{{TIP Index}}
  
FC6 has been released, and some Scribus-related issues are present. The first thing you must do, of course, is to recompile Scribus under FC6. Alternatively, there is an RPM (1.3.3.6) as part of the Extras repository -- just <tt>'yum install scribus'</tt>.
+
With the release of FC6, some Scribus-related issues developed. Fedora 7 and Fedora 8 have now been released, and they continue to have the direct printing problem. Follow the instructions below.
 
 
Fedora 7 has now been released, with Scribus version 1.3.3.9, and it continues to have the direct printing problem. Follow the instructions below.
 
  
 
===Printing===
 
===Printing===
Line 19: Line 17:
  
 
===Adobe Reader===
 
===Adobe Reader===
''If you upgrade to Adobe Reader 8.x, it seems these problems have been resolved, for both Fedora Core 6 and Fedora 7. The following is therefore deprecated, and some time in the future this section will be deleted from the Wiki.''
+
''If you upgrade to Adobe Reader 8.x, it seems that some problems have been resolved, for Fedora Core 6, Fedora 7, and FC8. Therefore, be sure to use an up-to-date Adobe Reader.''
<hr>
 
If you use either the tar.gz or .rpm files for Adobe Reader 7.08, it will not work. The fix for this is to open '''<tt>/usr/bin/acroread</tt>''' as root (or with sudo) into a text editor (this will be a link to the "real" file, but nonetheless you will be editing the real one). There are two lines that need to be edited.
 
 
 
Look for this line, at about line number 418:
 
<pre>
 
echo $mfile| sed 's/libgtk-x11-\([0-9]*\).0.so.0.\([0-9]\)00.\([0-9]*\)\|\(.*\)/\1\2\3/g'
 
</pre>
 
and change to:
 
<pre>
 
echo $mfile| sed 's/libgtk-x11-\([0-9]*\).0.so.0.\([0-9]*\)00.\([0-9]*\)\|\(.*\)/\1\2\3/g'
 
</pre>
 
''Note: you are adding an asterix in about the middle''
 
 
 
The other line is at about line number 643:
 
<pre>
 
MIN_GTK_VERSION="240"
 
</pre>
 
which needs to be changed to:
 
<pre>
 
MIN_GTK_VERSION="2040"
 
</pre>
 
 
 
Save the file, and you're done.
 
 
 
You might also try, instead of the last change, changing the line (number should be about 644)
 
<pre>
 
check_gtk_ver_and_set_lib_path "$MIN_GTK_VERSION"
 
</pre>
 
to
 
<pre>
 
#check_gtk_ver_and_set_lib_path "$MIN_GTK_VERSION"
 
</pre>
 
so that you don't even check the Gtk version.
 
 
 
If none of these work, try this -- in the CLI type:
 
<pre>
 
export GTK_IM_MODULE=xim
 
acroread
 
</pre>
 
 
 
If that helps, you can then modify the acroread script by adding
 
<pre>
 
# "SCIM hack"
 
# check if we have a scim GTK module load, and overwrite it to avoid crash
 
 
 
if [ $GTK_IM_MODULE = "scim" ]; then
 
 
 
export GTK_IM_MODULE=xim
 
fi
 
</pre>
 
Just before these lines, which are at about line 648:
 
<pre>
 
#
 
# Setup configuration specific environment variables
 
#
 
</pre>
 

Revision as of 14:07, 24 April 2008

This article is part of the Tips & Tricks series.
Installation Usage PDF issues Other

With the release of FC6, some Scribus-related issues developed. Fedora 7 and Fedora 8 have now been released, and they continue to have the direct printing problem. Follow the instructions below.

Printing

Printing directly from Scribus may be broken, if you use the same method and settings from FC5. It seems to generate an error message and no output.

The fix for this is to check the box for Alternative Printing Command then in the Command text box enter

lp -dname-of-your-printer

For example, for my printer named "laser", I entered

lp -dlaser

There can, but doesn't have to be, a space between -d and laser.

Adobe Reader

If you upgrade to Adobe Reader 8.x, it seems that some problems have been resolved, for Fedora Core 6, Fedora 7, and FC8. Therefore, be sure to use an up-to-date Adobe Reader.